SRC/dlaed5.f(3)

NAME
SRC/dlaed5.f

SYNOPSIS

  Functions/Subroutines
subroutine dlaed5 (i, d, z, delta, rho, dlam)
DLAED5 used by DSTEDC. Solves the 2-by-2 secular equation.

Function/Subroutine Documentation

  subroutine dlaed5 (integer i, double precision, dimension( 2 ) d, double precision, dimension( 2 ) z, double precision, dimension( 2 ) delta, double precision rho, double precision dlam)

DLAED5 used by DSTEDC. Solves the 2-by-2 secular equation.

Purpose:

     This subroutine computes the I-th eigenvalue of a symmetric rank-one
     modification of a 2-by-2 diagonal matrix
                diag( D )  +  RHO * Z * transpose(Z) .
     The diagonal elements in the array D are assumed to satisfy
                D(i) < D(j)  for  i < j .
     We also assume RHO > 0 and that the Euclidean norm of the vector
     Z is one.

Parameters
    I

              I is INTEGER
             The index of the eigenvalue to be computed.  I = 1 or I = 2.

    D

              D is DOUBLE PRECISION array, dimension (2)
             The original eigenvalues.  We assume D(1) < D(2).

    Z

              Z is DOUBLE PRECISION array, dimension (2)
             The components of the updating vector.

    DELTA

              DELTA is DOUBLE PRECISION array, dimension (2)
             The vector DELTA contains the information necessary
             to construct the eigenvectors.

    RHO

              RHO is DOUBLE PRECISION
             The scalar in the symmetric updating formula.

    DLAM

              DLAM is DOUBLE PRECISION
             The computed lambda_I, the I-th updated eigenvalue.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ren-Cang Li, Computer Science Division, University of California at Berkeley, USA

Definition at line 107 of file dlaed5.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.